package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import io.swagger.models.auth.In;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum CarouseTypeEnum implements BaseEnum , IEnum<Integer> {
    ONE("1","链接商品"),
    TWO("2","活动链接"),
    THREE("3","活动专区链接")
    ;


    private final String key;
    private final String remark;

    @JsonValue
    @Override
    public Integer getValue() {
        return getIntKey();
    }
}


